ASP.NET MVC Compatibility Table

  • Note: This article is outdated and is no longer maintained.

    This table presents Sitecore Modules compatibility with different versions of ASP.NET MVC:

    MVC 3 MVC 4 MVC 5.1
    Sitecore CMS [1]
    Sitecore Foundry N/A - -
    Sitecore Intranet 4.1
    Active Directory N/A N/A N/A
    Adaptive Print Studio N/A N/A N/A
    Sitecore Azure N/A [4]
    N/A
    Dynamics CRM Campaign Integration N/A N/A N/A
    E-mail Campaign Manager [2] - - -
    E-Commerce Services
    Social Connected -
    SPEAK -
    SharePoint Integration Framework N/A N/A N/A
    Web Forms for Marketer - - [3]


    Legend: “N/A” – not applicable; “-” – not supported; “✓” – supported.

    • All module versions assume that they are compatible with appropriate CMS version. For specific details, refer to the Sitecore Modules Compatibility table.
    • Products or modules that are not present in the table are not compatible with ASP.NET MVC.
    • [1] For details about exact supported versions, refer to CMS Installation Guide or Sitecore Compatibility Table.
    • [2] ECM currently depends on MVC2 due to old SPEAK, since MVC2 is not part of the platform, ECM installation guide provides the link to the Microsoft download page for MVC2 as part of the installation.
    • [3] WFFM 2.4 rev.140923 functionality fully works on Sitecore MVC layouts. Web Forms for Marketers module 2.4 rev.140923 requires Sitecore CMS version 7.2 rev. 140228 or later.
    • [4] Support was added for Sitecore Azure 7.2 and higher.

Applies to:

CMS 6+, EXM 1+, WFFM 1+, SPIF SharePoint Connect 1+, Active Directory 1+, PXM 1+, Azure 1+, Social Connected 1+

May 01, 2014
September 05, 2016

Keywords: 

  • Active Directory,
  • Azure,
  • CMS,
  • ECM/EXM,
  • MVC,
  • Print Experience Manager,
  • SharePoint,
  • Social Connected,
  • Web Forms for Marketers